/*
 * Program:	Operating-system dependent routines -- OS/2 version
 *
 * Author:	Mark Crispin
 *		Networks and Distributed Computing
 *		Computing & Communications
 *		University of Washington
 *		Administration Building, AG-44
 *		Seattle, WA  98195
 *		Internet: MRC@CAC.Washington.EDU
 *
 * Date:	14 March 1996
 * Last Edited:	12 January 2003
 * 
 * The IMAP toolkit provided in this Distribution is
 * Copyright 2001 University of Washington.
 * The full text of our legal notices is contained in the file called
 * CPYRIGHT, included with this Distribution.
 */

#define INCL_DOSFILEMGR
#define INCL_DOSMISC
#include <os2.h>
#undef ADDRESS

#include "tcp_os2.h"		/* must be before osdep includes tcp.h */
#include "mail.h"
#include "osdep.h"
#include <fcntl.h>
#include <signal.h>
#include <stdio.h>
#include <stdlib.h>
#include <sys/time.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <netdb.h>
#include <pwd.h>
#include <openssl/des.h>
#include "misc.h"

#define crypt(a,b)	DES_crypt(a,b)
#include "ckp_os2.c"
#undef crypt

#include "fs_nt.c"
#include "ftl_nt.c"
#include "nl_nt.c"
#include "log_os2.c"
#include "env_os2.c"
#include "tcp_os2.c"
#include "gr_waitp.c"
#include "ssl_os2.c"
#include "strtok.c"
#include "yunchan.c"
